c $Header: /home/evian/ROOTCVS/ORCA/OPA/SRC_UCL/icemodel.f,v 1.1.1.1 2001/06/05 11:56:55 valcke Exp $
      subroutine ICEMODEL(yrsec,dtsd2,dtsec)
c---+----1----+----2----+----3----+----4----+----5----+----6----+----7-|--+----|
c Cice [Cic0] => ligne specifique a la version avec [sans] glace marine .
c Cncd [Cnc0] => ligne specifique a la version avec [sans] NetCDF .
c  this program drives the ice model
c-----
c  modif : 26/10/98
 
      include 'type.com'
      include 'const.com'
      include 'para.com'
      include 'bloc.com'
      include 'ice.com'
      include 'dynami.com'
CC----------------------------------------------------------------------
CC COMMON declarations
CC ===================
      INTEGER infreq, iit000, iitend, ifice, ibisex
      COMMON /cimopa/infreq, iit000, iitend, ifice, ibisex
      REAL zdtsec
      REAL zdept(1), zglamt(imax,jmax), zgphit(imax,jmax),
     $    ztmask(imax,jmax)
      COMMON /comopa/zdtsec, zglamt, zgphit, ztmask
C
      INTEGER nice, nhorid, ndim, it, ndepid
      parameter (noumax=40,noumax2=20)
      INTEGER ndex(imax*jmax), nc(noumax)
      COMMON/comcdf/nice, nhorid, ndim, it, ndepid, ndex, nc
      CHARACTER*8 nam(noumax)
      COMMON/comccf/nam
CC----------------------------------------------------------------------
 
c--variables locales :
      dimension irn(imax,8), jrn(jmax,8)
      real yrsec,dtsd2,dtsec,daysec
      character*4 fchnum
C
      WRITE(99,*) 'time-step dts', dts(ks2),ddtb
      daysec  = 86400.
C       write(98,*) 'in icemodel',u(101,9,ks2)
        numit = numit + ifice
c--The date corresponds to the middle of the time step.
c--iyear is the year, the first year is the year 1.
c--The integer part of xjour is the day of the year(1-yeaday) and the
c--non-integer one is the fraction of this day.
        tpstot = tpstot + dtsd2
        iyear  = 1+int(tpstot/yrsec)
        xjour  = mod(tpstot,yrsec)/daysec +1.0
        xjour1 = mod(tpstot+2*dtsd2,yrsec)/daysec +1.0
        tpstot = tpstot + dtsd2
        ntrmax = 1
        nn3t = mod(koutpu,2)
 
c-- 2.1. Debut d'une iteration :
c-------------------------------
c CALL bulk formula each day ONLY
        if (icoupl .eq. 0) then
            IF(int(xjour).ne.int(xjourm1)) THEN
                xjourm1=xjour
                WRITE(99,*) 'Calling forcat, day : ', xjourm1
                call forcat(iyear,xjour)
            ENDIF 
        ENDIF
        call icdyna
CCCCCC
C      IF (imax .EQ. 92) THEN
C         ip = 32 ; jp = 77
C      ELSE
C         ip = 64 ; jp = 144
C      ENDIF
C      write(99,*) ug(ip,jp4),vg(ip,jp),u(ip,jp,ku2)
       do i=1,imax
        do j=70,jmax
          if(abs(ug(i,j)).gt.0.4) then
             write(99,*) i,j,ug(i,j),u(i,j,ku2),albq(i,j)*(-1.)
          endif
          if(abs(vg(i,j)).gt.0.4) then
             write(99,*) i,j,vg(i,j),v(i,j,ku2),albq(i,j)
          endif
        enddo
       enddo
CCCCCC

        call icdadv(xjour)
        IF ( imax .EQ. 92 ) THEN
            ip = 26 ; jp = 68
        ELSE IF ( imax .EQ. 182 ) THEN
            ip = 53 ; jp = 137
        ELSE IF ( imax .EQ. 722 ) THEN
            ip = 210 ; jp = 470
        ENDIF 
       write(99,*) 'neige',hnbq(ip,jp),hnplbq(ip,jp),tabq(ip,jp)
     &             ,fsolg(ip,jp),fsolcn(ip,jp),albq(ip,jp),
     &              ratbqg(ip,jp),cloud(ip,jp),tbq(ip,jp,1)
        do ither=1,ntrmax
           call thersf(ntrmax)
        enddo
       write(99,*) 'neige2',hnbq(ip,jp),ts(ip,jp),albege(ip,jp),
     &              vabq(ip,jp),fcsg(ip,jp),fleg(ip,jp)
c        call ocesla
C
c--iteration terminee
 
c-- 2.2. Outputs.
c-----------------
       if ((mod(numit,ninfo).eq.0).or.ntmoy.eq.1)
     &      call inforun(nn99)
c
        call outave(iyear,xjour,xjour1)
CEM On sauve un etat de redemarrage a chaque fin de mois (1 relance) 
C        if (mod(numit,nsav).eq.0) then
        if (numit.eq.nlast) then
c--definition de la racine du nom du fichier de sauvegarde :
CEM Le nom du restart contient le numero du jour de la fin de la relance
c          indicf = (nlast - numit) / nsav
          indicf = nlast / (daysec / dts(ks2) )
          ncfch = max(1,indicf)
          ncfch = 4 - int( log10( DFLOAT(ncfch) ) )
          write(fchnum,'(I4)') indicf
 
c--Ecriture des resultats sur fichier binaire (koutpu pair) ou NetCDF :
          if (nn3t.eq.1) then
Cncd        call savrunc(koutpu,nn99,'res'//fchnum(ncfch:)//'.ncdf')
            write(99,*) 'om : Version sans NetCDF '//
     &       '=> ecriture de res'//fchnum(ncfch:)//'.ncdf impossible !'
            call savrunb(koutpu,nn99,'res'//fchnum(ncfch:)//'.om')
          else
            call savrunb(koutpu,nn99,'res'//fchnum(ncfch:)//'.om')
          endif
        endif
 
 300  continue
 
      return
c---+----1----+----2----+----3----+----4----+----5----+----6----+----7-|--+----|
c- fin de la routine CLIO -
      end
