c $Header: /home/evian/ROOTCVS/ORCA/OPA/SRC_UCL/outave.f,v 1.1.1.1 2001/06/05 11:56:53 valcke Exp $
      subroutine outave(ja,xjour,xjour1)
c---5----|----5----|----5----|----5----|----5----|----5----|----5----|72--5----|
c  This routine computes the average of some variables and write it
c  on the ouput files.
c  ATTENTION cette routine n'est valable que si le pas de temps est
c  egale a une fraction entiere de 1 jours.
c  Diff 1-D 3-D : suppress common also included in etat
c                 suppress cmoymo 11-18
c  modif : 03/06/98
 
c---
c Ccpl [Ccp0] => ligne specifique a la version avec [sans] couplage .
c---
      USE ioipsl
      include 'type.com'
      include 'para.com'
      include 'const.com'
      include 'bloc.com'
      include 'ice.com'
      include 'dynami.com'
      include 'thermo.com'
Ciso  include 'isoslope.com'
      
c--Output variables and arrays.
c
      integer njcum(0:12)
      integer iwl(30),jwl(30)
      parameter (noumax=40,noumax2=20)
      real*4 cmoyan(imax,jmax,noumax),cmoymo(imax,jmax,noumax),
     &    cmoymap(imax,jmax,noumax2,12)
      real cmulti(noumax),cadd(noumax)
      integer ntypou(noumax),nmm(noumax),nmal(noumax),nma(noumax),
     &    ncor(noumax2),nmap(12)
      CHARACTER*30 titn(noumax)
      common/moyout/ cmoyan,cmoymo,cmoymap
      common/parout/ titn
      common/parout2/ noumef,nmm,nmal,nma,nmmef,nmaef,nmalef
      common/parout3/ ncor,nmap,ntypou,jmois,nptj,iwl,jwl
      common/parout4/ cmulti,cadd,njm
CC----------------------------------------------------------------------
CC COMMON declarations
CC ===================
      INTEGER infreq, iit000, iitend, ifice, ibisex
      COMMON /cimopa/infreq, iit000, iitend, ifice, ibisex
      REAL zdtsec
      REAL zdept(1), zglamt(imax,jmax), zgphit(imax,jmax),
     $    ztmask(imax,jmax)
      COMMON /comopa/zdtsec, zglamt, zgphit, ztmask
C
      INTEGER nice, nhorid, ndim, it, ndepid
      INTEGER ndex(imax*jmax), nc(noumax)
      COMMON/comcdf/nice, nhorid, ndim, it, ndepid, ndex, nc
      CHARACTER*8 nam(noumax)
      COMMON/comccf/nam
CC----------------------------------------------------------------------
CC Local declarations
CC ================== 
      REAL zsto, zsec, zjulian
      REAL cmo(imax,jmax,noumax), cc(imax,jmax)
      CHARACTER*40 clhstnam, clop
      CHARACTER*10 uni(noumax)
CC----------------------------------------------------------------------
c
      data njcum/0,31,59,90,120,151,181,212,243,273,304,334,365/
Ccpl  data njcum/0,30,60,90,120,150,180,210,240,270,300,330,360/
      ijour=int(xjour)
      ijour1=int(xjour1)
C     jours=xjour+dts(ks2)/86400
      undim6=1.E-6
      WRITE (99,*) 'debut outave.f',ja,jmois,ijour,numit
      IF (numit .eq. nstart) THEN 
          
c---5----|----5----|----5----|----5----|----5----|----5----|----5----|72
c  1) INITIALIZATIONS.                                                 |
c-----------------------------------------------------------------------
          
c--1.1 OPEN FILES FOR INITIALIZATION AND FOR OUTPUTS.
c----------------------------------------------------
c
c--cpointj.dat: CONTAINS POINTS FOR LOCAL DAILY OUTPUTS.
c			
          OPEN (5,file='cpointj.dat')
c
c--cresujl.dat : CONTAINS ICE LOCAL DAILY OUTPUTS.
c--cresujg.dat : CONTAINS ICE GLOBAL DAILY OUTPUTS.
c--cresum.dat  : CONTAINS MONTHLY OUTPUTS.
c--cresua.dat  : CONTAINS YEARLY OUTPUTS.
c		  	
          OPEN (31,file='cresujl.dat',form='unformatted')
          nmtot=365
          WRITE (31) nmtot
          OPEN (32,file='cresujg.dat',form='unformatted')
          OPEN (33,file='cresum.dat',form='unformatted')
          OPEN (34,file='cresua.dat',form='unformatted')
          OPEN (35,file='cresal.dat',form='unformatted')
          
c
c--1.2. SELECTION OF POINTS FOR LOCAL DAILY OUTPUTS.
c---------------------------------------------------
c
          READ (5,*) nptj
c         nptj=0
          DO npw=1,nptj
            READ (5,*) iwl(npw),jwl(npw)
          END DO 
          close(5)
c
c--1.3 Computation of the month.
c---------------------------------
c
          jmois=1
          DO ii=1,ijour
            IF  (ijour.gt.njcum(jmois)) jmois=jmois+1
          END DO 
          jmoisi=jmois
          ijouri=ijour-njcum(jmois-1)-1
          jmoifl=0
          jjoufl=0
          njm=0
c
c--1.4. INITIALIZATION OF CUMULATIVE ARRAYS
c-------------------------------------------
c
          DO n=1,noumax
            DO j=1,jmax
              DO i=1,imax
                cmoyan(i,j,n)=0.0
                cmoymo(i,j,n)=0.0
              END DO 
            END DO 
          END DO 
          DO   n=1,noumax2
            DO   j=1,jmax
              DO   i=1,imax
                DO  jj=1,12
                  cmoymap(i,j,n,jj)=0.0
                END DO 
              END DO 
            END DO 
          END DO 
c
c--1.5. Reading output.param
c---------------------------
          OPEN (5,file='output.param')
 101      FORMAT (30A,8A,1x,10A)
c
          READ (5,*)
          READ (5,*)
          READ (5,*)
          READ (5,*)
          
          READ (5,*)
          READ (5,*) noumef
          DO npw=1,noumef
            READ (5,101) titn(npw),nam(npw),uni(npw)
            READ (5,*) i,ntypou(npw),nmm(npw),nmal(npw),nma(npw),nc(npw)
     $          ,cmulti(npw),cadd(npw)
c            WRITE(6,*)' nit000 nitend ',iit000,iitend
c            WRITE(6,*) 'titre ',titn(npw),' nom ',nam(npw),' unite '
c     $          ,uni(npw),' oui/non ',nc(npw)
          END DO 
          CLOSE (5)
          nmmef=0
          nmalef=0
          nmaef=0
          DO npw=1,noumef
            IF  (nmm(npw).eq.1) THEN 
                nmmef=nmmef+1
            ENDIF 
            IF  (nma(npw).eq.1) THEN 
                nmaef=nmaef+1
            ENDIF 
            IF  (nmal(npw).eq.1) THEN 
                nmalef=nmalef+1
                ncor(nmalef)=npw
            ENDIF 
          END DO  
C      write(6,*) 'nmmef etc'
C      write(6,*) nmmef,nmaef,nmalef,ncor
          IF  (nmalef.gt.noumax2) THEN 
              WRITE (6,*) 'STOP : Too many fields for all period mean'
              STOP 
          ENDIF 
C
C essai NetCDF
          zsto=zdtsec
          clop="ave(only(x))"
          zout=infreq*zdtsec/ifice
          zsec=0.
          it=0
          zdept(1)=0.
c          WRITE(6,*)' zsto clop zout ',zsto,clop,zout
c
c   choose calendar for ioipsl
c
          IF (ibisex .eq. 1) THEN 
              CALL ioconf_calendar('gregorian')
          ELSE IF  (ibisex .eq. 0) THEN 
              CALL ioconf_calendar('noleap')
          ELSE IF (ibisex .eq. 30) THEN 
              CALL ioconf_calendar('360d')
          ENDIF 
C
          CALL ymds2ju(ja,jmois,ijour,zsec,zjulian)
          CALL dianam(clhstnam,infreq,'icemod')
c          WRITE(6,*)' Date 0 used :',iit000
c     $        ,' YEAR ',ja,' MONTH ',jmois,' DAY ',ijour
c     $        ,'Julian day : ',zjulian
C
         CALL histbeg(clhstnam, imax, zglamt, jmax, zgphit,
     $        1, imax, 1, jmax, 0, zjulian, zdtsec, nhorid, nice)
          CALL histvert(nice, "deptht", "Vertical T levels",
     $        "m", 1, zdept, ndepid)
          CALL wheneq(imax*jmax,ztmask,1,1.,ndex,ndim)
          DO npw=1,noumef
            IF (nc(npw) .eq. 1 ) CALL histdef
     $          (nice, nam(npw), titn(npw),uni(npw),imax, jmax, nhorid,
     $          1, 1, 1, -99, 32, clop,zsto,zout)
          END DO 
          CALL histend(nice)
c          write(6,*) 'essai NetCDF '
c
C essai NetCDF
      ENDIF 
c
c---5----|----5----|----5----|----5----|----5----|----5----|----5----|72
c--2. Computation of averages                                          |
c-----------------------------------------------------------------------
c
c--2.1. WRITE LOCAL DAILY OUTPUTS.
c---------------------------------
c
      IF  (mod(ja,nwjl).eq.nwtest) THEN 
c
          nom2=4
          nom3=0
          WRITE (31) nom2,nom3
          WRITE (31) ja,ijour
          DO np=1,nptj
            WRITE (31) 'Epaisseur de neige   (71)'
            WRITE (31) hnbq(iwl(np),jwl(np))
            WRITE (31) 'Epaisseur de glace   (72)'
            WRITE (31) hgbq(iwl(np),jwl(np))
            WRITE (31) 'Epaisseur cree       (73)'
            WRITE (31) hgbqp(iwl(np),jwl(np))
            WRITE (31) 'Aire des leads       (74)'
            WRITE (31) albq(iwl(np),jwl(np))
C	      write(31) 'Temp de surface      (75)'
C             write(31) ts(iwl(np),jwl(np))
C	      write(31) 'Temp de neige        (76)'
C             write(31) tbq(iwl(np),jwl(np),1)
C	      write(31) 'Temp de glace 1      (77)'
C             write(31) tbq(iwl(np),jwl(np),2)
C	      write(31) 'Temp de glace 2      (78)'
C             write(31) tbq(iwl(np),jwl(np),3)
C	      write(31) 'var volume surf      (79)'
C             write(31) dvosbq(iwl(np),jwl(np))
C	      write(31) 'var volume bott      (80)'
C             write(31) dvobbq(iwl(np),jwl(np))
C	      write(31) 'var volume lead      (81)'
C             write(31) dvolbq(iwl(np),jwl(np))
C	      write(31) 'var volume neige     (82)'
C             write(31) dvonbq(iwl(np),jwl(np))
C	      write(31) 'flux base glace      (83)'
C             write(31) fbbq(iwl(np),jwl(np))
C	      write(31) 'temp air             (84)'
C             write(31) tabq(iwl(np),jwl(np))
C	      write(31) 'humid air            (85)'
C             write(31) qabq(iwl(np),jwl(np))
C	      write(31) 'vit vent             (86)'
C             write(31) vabq(iwl(np),jwl(np))
C	      write(31) 'flux sol             (87)'
C             write(31) fsolg(iwl(np),jwl(np))
C	      write(31) 'flux IR              (88)'
C             write(31) firg(iwl(np),jwl(np))
C	      write(31) 'flux sensible        (89)'
C             write(31) fcsg(iwl(np),jwl(np))
C	      write(31) 'flux latent          (90)'
C             write(31) fleg(iwl(np),jwl(np))
C             write(31) (scal(iwl(np),jwl(np),kv,1),kv=1,kmax)
          END DO 
c
      ENDIF 
C
C calculs des valeurs instantanees
C
      DO n=1,noumax
        DO j=1,jmax
          DO i=1,imax
            cmo(i,j,n)=0.0
          END DO 
        END DO 
      END DO 
      DO j=2,jmax-1
        DO i=2,imax-1
          zindh       = max(zero,sign(one,hgbq(i,j)*
     &        (1.0-albq(i,j))-0.10))
          zinda       = max(zero,sign(one,
     &        (1.0-albq(i,j))-0.10))
          zindb       = zindh*zinda
          cmo(i,j,1)= hnbq(i,j)
          cmo(i,j,2)= hgbq(i,j)
          cmo(i,j,3)= hgbqp(i,j)
          cmo(i,j,4)= albq(i,j)
          cmo(i,j,5)= ts(i,j)
          cmo(i,j,6)= fbbq(i,j)
          cmo(i,j,7)= 
     &        ((ug(i,j)*tmu(i,j,ks2)    +
     &        ug(i+1,j)*tmu(i+1,j,ks2) +
     &        ug(i,j+1)*tmu(i,j+1,ks2) +
     &        ug(i+1,j+1)*tmu(i+1,j+1,ks2))/
     &        max(0.5*one,(tmu(i,j,ks2)+tmu(i+1,j,ks2)
     &        +tmu(i,j+1,ks2)+tmu(i+1,j+1,ks2))) )*
     &        zindb
          cmo(i,j,8)= 
     &        ((vg(i,j)*tmu(i,j,ks2)    +
     &        vg(i+1,j)*tmu(i+1,j,ks2) +
     &        vg(i,j+1)*tmu(i,j+1,ks2) +
     &        vg(i+1,j+1)*tmu(i+1,j+1,ks2))/
     &        max(0.5*one,(tmu(i,j,ks2)+tmu(i+1,j,ks2)
     &        +tmu(i,j+1,ks2)+tmu(i+1,j+1,ks2))) )*
     &        zindb
          cmo(i,j,9) = scal(i,j,ks2,1)
          cmo(i,j,10)= scal(i,j,ks2,2)
          cmo(i,j,11)= 0.0
          cmo(i,j,12)= 0.0
          cmo(i,j,13)= 0.0
          cmo(i,j,14)= 0.0
          cmo(i,j,15)= 0.0
          cmo(i,j,16)= 0.0
          cmo(i,j,19)= - phiss(i,j,1)*
     &        (rho0*cpo)/(dts(ks2)*unsdz(ks2))
     &        +fcm1(i,j)
          cmo(i,j,20)= fcm1(i,j)
          cmo(i,j,21)= fcm2(i,j)
          cmo(i,j,22)= phiss(i,j,2)*rho0
     &        *86400./dts(ks2) 
     &        /(unsdz(ks2)*34.8)
C    &                        +fwat(i,j)*dts(ks2)/scal(i,j,ks2,2)
          cmo(i,j,23)= tenagx(i,j)
          cmo(i,j,24)= tenagy(i,j)
          cmo(i,j,25)= fsolg(i,j)*
     &        (1.0-albq(i,j))+albq(i,j)*fsolcn(i,j)
          cmo(i,j,26)= (1.0-albq(i,j))
     &        *firg(i,j)+albq(i,j)*(ratbqo(i,j))
          cmo(i,j,27)= (1.0-albq(i,j))
     &        *fcsg(i,j)+albq(i,j)*fcscn(i,j)
          cmo(i,j,28)= (1.0-albq(i,j))
     &        *fleg(i,j)+albq(i,j)*flecn(i,j)
          cmo(i,j,29)= albege(i,j)*
     &        (1-albq(i,j))+ albecn(i,j)*albq(i,j)
          cmo(i,j,30)=0.0
          cmo(i,j,31)= tabq(i,j)
          cmo(i,j,32)= qabq(i,j)
          cmo(i,j,33)= vabq(i,j)
          cmo(i,j,34)= hnplbq(i,j)
          cmo(i,j,35)= dmnbq(i,j)
        END DO 
      END DO 
      DO j=js1,js2
        DO i=is1(j),is2(j)
          cmo(i,j,18)= 0.
          cmo(i,j,17)= 0.
        END DO 
      END DO        
c
C         if (mod(ja,nwm).eq.nwtest) then
      IF  (nwtal.eq.1.or.mod(ja,nwm).eq.nwtest) THEN 
          njm=njm+1
c
c--2.2. CUMULATION OF GLOBAL MONTHLY OUTPUTS.
c--------------------------------------------
c
          DO j=1,jmax
            DO i=1,imax
              cmoymo(i,j,1) = cmoymo(i,j,1)+ cmo(i,j,1)
              cmoymo(i,j,2) = cmoymo(i,j,2)+ cmo(i,j,2)
              cmoymo(i,j,3) = cmoymo(i,j,3)+ cmo(i,j,3)
              cmoymo(i,j,4) = cmoymo(i,j,4)+ cmo(i,j,4)
              cmoymo(i,j,5) = cmoymo(i,j,5)+ cmo(i,j,5)
              cmoymo(i,j,6) = cmoymo(i,j,6)+ cmo(i,j,6)
              cmoymo(i,j,7) = cmoymo(i,j,7)+ cmo(i,j,7)
              cmoymo(i,j,8) = cmoymo(i,j,8)+ cmo(i,j,8)
              cmoymo(i,j,9) = cmoymo(i,j,9)+ cmo(i,j,9)
              cmoymo(i,j,10)= cmoymo(i,j,10)+ cmo(i,j,10)
              cmoymo(i,j,11)= cmoymo(i,j,11)+ cmo(i,j,11)
              cmoymo(i,j,12)= cmoymo(i,j,12)+ cmo(i,j,12) 
              cmoymo(i,j,13)= cmoymo(i,j,13)+ cmo(i,j,13)
              cmoymo(i,j,14)= cmoymo(i,j,14)+ cmo(i,j,14)
              cmoymo(i,j,15)= cmoymo(i,j,15)+ cmo(i,j,15)
              cmoymo(i,j,16)= cmoymo(i,j,16)+ cmo(i,j,16)
              cmoymo(i,j,17)= cmoymo(i,j,17)+ cmo(i,j,17)
              cmoymo(i,j,18)= cmoymo(i,j,18)+ cmo(i,j,18)
              cmoymo(i,j,19)= cmoymo(i,j,19)+ cmo(i,j,19)
              cmoymo(i,j,20)= cmoymo(i,j,20)+ cmo(i,j,20)
              cmoymo(i,j,21)= cmoymo(i,j,21)+ cmo(i,j,21)
              cmoymo(i,j,22)= cmoymo(i,j,22)+ cmo(i,j,22)
              cmoymo(i,j,23)= cmoymo(i,j,23)+ cmo(i,j,23)
              cmoymo(i,j,24)= cmoymo(i,j,24)+ cmo(i,j,24)
              cmoymo(i,j,25)= cmoymo(i,j,25)+ cmo(i,j,25)
              cmoymo(i,j,26)= cmoymo(i,j,26)+ cmo(i,j,26)
              cmoymo(i,j,27)= cmoymo(i,j,27)+ cmo(i,j,27)
              cmoymo(i,j,28)= cmoymo(i,j,28)+ cmo(i,j,28)
              cmoymo(i,j,29)= cmoymo(i,j,29)+ cmo(i,j,29)
              cmoymo(i,j,30)= cmoymo(i,j,30)+ cmo(i,j,30)
              cmoymo(i,j,31)= cmoymo(i,j,31)+ cmo(i,j,31)
              cmoymo(i,j,32)= cmoymo(i,j,32)+ cmo(i,j,32)
              cmoymo(i,j,33)= cmoymo(i,j,33)+ cmo(i,j,33)
              cmoymo(i,j,34)= cmoymo(i,j,34)+ cmo(i,j,34)
              cmoymo(i,j,35)= cmoymo(i,j,35)+ cmo(i,j,35)
            END DO 
          END DO 
c
      ENDIF 
C         write(99,*) 'cmoymo',cmoymo(100,8,2),njcum(jmois),jmois
C         write(99,*) 'cmoymo',float(njm)*86400/dts(ks2)
c
c-- COMPUTES MONTHLY MEAN
c
CC       if (ijour.eq.njcum(jmois)) then
      IF  (ijour.eq.njcum(jmois).and.ijour.ne.ijour1) THEN  
          WRITE (99,*) 'preparation for monthly mean',ijour,
     &        njcum(jmois),njm
c
CC          njm = (njcum(jmois)-njcum(jmois-1))-ijouri*(1-jjoufl)
          jjoufl = 1
CC         usnjm = 1.0/(float(njm)*86400/dts(ks2))
CC          usnjm = 1.0
          usnjm = 1.0/float(njm)
          njm=0
          WRITE (99,*) 'Computation of monthly mean',ijour,
     &        jmois,ja
c
          DO n=1,noumef
            DO j=1,jmax
              DO i=1,imax
C              cmoymo(i,j,n)=cmoymo(i,j,n)*usnjm
                cmoymo(i,j,n)=(cmoymo(i,j,n)*usnjm)*cmulti(n)+cadd(n)
              END DO 
            END DO
          END DO
c
          DO jj=1,jmax
            DO ij=1,imax
              zindp=max(0.0,sign(1.0,cmoymo(ij,jj,2)-0.2))
              cmoymo(ij,jj,6)=cmoymo(ij,jj,6)*zindp
            END DO 
          END DO 
c
          DO n=1,noumef
            DO j=1,jmax
              DO i=1,imax
                zindo       = tms(i,j,ks2)
                cmoymo(i,j,n)=zindo*cmoymo(i,j,n)+(1.0-zindo)*spvr
              END DO 
            END DO 
          END DO 
c
c WRITES MONTHLY MEAN
C         write(99,*) 'cmoymo',cmoymo(100,8,2)
          
          IF  (mod(ja,nwm).eq.nwtest) THEN 
              WRITE (33) ja,jmois
              WRITE (33) nmmef
C             write(6,*) ja,jmois,nmmef
              DO n=1,noumef
                IF  (nmm(n).eq.1) THEN 
                    WRITE (33) n,ntypou(n),titn(n)
                    DO j=1,jmax
                      WRITE (33) (cmoymo(i,j,n),i=1,imax)
                    END DO 
                ENDIF 
              END DO 
          ENDIF 
c
c			UPDATE jmois.
c
c--2.4. CUMULATION FOR GLOBAL YEARLY OUTPUTS AND ALL PERIOD MEAN
c---------------------------------------------------------------
c
          DO n=1,nmalef
            DO j=1,jmax
              DO i=1,imax
                cmoymap(i,j,n,jmois)=cmoymap(i,j,n,jmois)+
     &              cmoymo(i,j,ncor(n))
              END DO
            END DO
          END DO
          nmap(jmois)=nmap(jmois)+1
          
          IF  (mod(ja,nwa).eq.nwtest) THEN 
c
              DO n=1,noumef
                DO j=1,jmax
                  DO i=1,imax
                    cmoyan(i,j,n)=cmoyan(i,j,n)+cmoymo(i,j,n)
                  END DO
                END DO
              END DO
              
c
          ENDIF 
c
c                       UPDATE jmois.
          jmois = jmois+1
          IF  (jmois.gt.12) jmois = 1
c
          DO n=1,noumef
            DO j=1,jmax
              DO i=1,imax
                cmoymo(i,j,n) =0.0
              END DO
            END DO
          END DO
      ENDIF 
c
c-- WRITE GLOBAL YEARLY OUTPUTS.
c
c        if (mod(ja,nwa).eq.nwtest.and.ijour.eq.int(yeaday)) then
      IF  (mod(ja,nwa).eq.nwtest.and.ijour.eq.int(yeaday).and.ijour.ne
     $      .ijour1) THEN
c
          usanms = 1.0/real((12-(jmoisi-1)*(1-jmoifl)))
          jmoifl = 1
          DO n=1,noumef
            DO j=1,jmax
              DO i=1,imax
                zindo        = tms(i,j,ks2)
                cmoyan(i,j,n)=zindo*cmoyan(i,j,n)*usanms+(1.0-zindo)
     $              *spvr
              END DO 
            END DO 
          END DO
c
          WRITE (6,*) 'moyenne annuelle',ja
          WRITE (34) ja,jmois
          WRITE (34) nmaef
          DO n=1,noumef
            IF  (nma(n).eq.1) THEN 
                WRITE (34) n,ntypou(n),titn(n)
                DO  j=1,jmax
                  WRITE (34) (cmoyan(i,j,n),i=1,imax)
                END DO 
            ENDIF 
          END DO 
c
          DO n=1,noumef
            DO j=1,jmax
              DO i=1,imax
                cmoyan(i,j,n)=0.0
              END DO 
            END DO 
          END DO
c
      ENDIF 
      
c-- WRITE GLOBAL ALL PERIOD OUTPUTS.
      IF  (numit.eq.nlast.and.nwtal.eq.1) THEN 
          
          DO k=1,12
            DO n=1,nmalef
              DO j=1,jmax
                DO i=1,imax
                  zindo        = tms(i,j,ks2)
                  cmoymap(i,j,n,k)=zindo*cmoymap(i,j,n,k)
     &                /max(float(nmap(k)),undim6)
     &                +(1.0-zindo)*spvr
                END DO
              END DO
            END DO
            WRITE (35) ja,k
            WRITE (35) nmalef
            DO  n=1,nmalef
              WRITE (35) ncor(n),ntypou(ncor(n)),titn(ncor(n))
              DO  j=1,jmax
                write(35) (cmoymap(i,j,n,k),i=1,imax)
              END DO 
            END DO 
          END DO
      ENDIF                  
c
C ecriture d'un fichier netcdf
C
      it=it+1
      DO  n=1,noumef
        DO j=1,jmax
          DO i=1,imax
            cc(i,j)=cmo(i,j,n)*cmulti(n)+cadd(n)
          END DO 
        END DO 
c
        IF ((n.EQ.7).OR.(n.EQ.8)
     $  .OR.(n.EQ.11).OR.(n.EQ.12)
     $  .OR.(n.EQ.15).OR.(n.EQ.16)
     $  .OR.(n.EQ.23).OR.(n.EQ.24)) then
            call lbc2(cc,1, 0, 1, 1, 1, 1)
        ELSE 
            call lbc2(cc,1, 1, 1, 1, 1, 1)
        ENDIF
        IF (nc(n) .eq. 1 ) CALL histwrite(nice,nam(n),it,cc,ndim,ndex)
      END DO   
      IF(ifice*it+iit000-1.ge.iitend) THEN
          CALL histclo(nice)
      ENDIF 
c
      RETURN 
c---5----|----5----|----5----|----5----|----5----|----5----|----5----|72
c --5----|
c- fin de la routine outave -
      END 
c
